/*#memoryofanger {
    background-color: rgb(210, 80, 10);
    color: rgb(250, 255, 160);
    box-shadow: 0 0 10px 6px rgb(250, 190, 20);
}
#memoryofanger * { color: rgb(250, 255, 160); } 
#memoryofanger hr { background-color: rgb(250, 255, 160); }

#memoryofanger a:not(.a-button) {
    color: white;
    transition: 0.1s ease;
}
#memoryofanger a:not(.a-button):hover { color: rgb(230, 235, 140); }



#waltzinspace {
    background-color: rgb(30, 50, 140);
    color: rgb(250, 230, 20);
    box-shadow: 0 0 10px 6px rgb(60, 80, 180);
}
#waltzinspace * { color: rgb(250, 230, 20); } 
#waltzinspace hr { background-color: rgb(250, 230, 20); }

#waltzinspace a:not(.a-button) {
    color: white;
    transition: 0.1s ease;
}
#waltzinspace a:not(.a-button):hover { color: rgb(250, 230, 20); }
*/

/* Violin Experiementation */
@keyframes promo-shadow {
    0% { box-shadow: 0 0 10px 6px var(--promo-color); }
    60% { box-shadow: 0 0 10px 6px var(--promo-color); }
    100% { box-shadow: 0 0 10px 6px var(--anim-color); }
}
@keyframes promo-bg {
    0% { background-color: var(--promo-color); }
    60% { background-color: var(--promo-color); }
    100% { background-color: var(--anim-color); }
}
#promo {
    --promo-bg-color: rgb(80, 40, 10);
    --promo-color: rgb(240, 200, 140);
    --promo-a-color: rgb(130, 150, 220);
    --anim-color: rgb(240, 140, 20);
    background-color: var(--promo-bg-color);
    color: var(--promo-color);
    box-shadow: 0 0 10px 6px var(--promo-color);
    animation-name: promo-shadow;
    animation-duration: 1.5s;
    animation-delay: 0.1s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: ease-in-out;
    
}
#promo *:not(.a-button) { color: var(--promo-color); } 
#promo hr { background-color: var(--promo-color); }

#promo a:not(.a-button) {
    color: var(--promo-a-color);
    transition: 0.1s ease;
}
#promo a:not(.a-button):hover { color: var(--promo-color); }
#promo .a-button {
    background-color: var(--promo-color);
    color: var(--promo-bg-color);
    font-weight: bold;
    animation-name: promo-bg;
    animation-duration: 1.5s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: ease-in-out;
}


#countdown-birth {
    margin: 0 auto;
    padding: 10px 20px;
    border-radius: 8px;
    width: 80%;
}
body:not([data-theme="featured"]) #countdown-birth { background-color: rgb(40, 20, 0); box-shadow: 0 0 8px 8px rgb(40, 20, 10); }
#countdown-birth .countdown-data {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    text-align: center;
    max-height: max(20vh, 20vw);
}
#countdown-birth .countdown-data p[data-t] {
    min-width: 30px;
    padding: 8px;
    background: linear-gradient(0, transparent, rgb(100, 45, 10) 40% 60%, transparent);
}
#countdown-birth .countdown-data p[data-t] span {
    background: linear-gradient(180deg, var(--color) 100% 100%, transparent);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    transition-duration: 0.2s;
    display: block;
}
#countdown-birth .socials {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: space-around;
    align-items: center;
}
#countdown-birth .socials a {
    width: 20px;
    height: 20px;
    padding: 10px;
    margin: 10px;
    background-color: var(--color);
    transition: 0.15s ease;
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}
#countdown-birth .socials a:hover {
    background-color: var(--a-hover);
}
#countdown-birth .socials .social-spotify {
    -webkit-mask-image: url('/html_objects/media/icons/spotify.svg');
}
#countdown-birth .socials .social-applemusic {
    -webkit-mask-image: url('/html_objects/media/icons/applemusic.svg');
}
#countdown-birth .socials .social-amazon {
    -webkit-mask-image: url('/html_objects/media/icons/amazon.svg');
}
#countdown-birth .socials .social-deezer {
    -webkit-mask-image: url('/html_objects/media/icons/deezer.svg');
}


/* Xmas */
#xmas {
    display: none;
    background-color: rgb(40, 120, 0);
    color: rgb(230, 250, 255);
    box-shadow: 0 0 10px 6px rgb(240, 20, 0);
}
#xmas h3 { font-weight: bold; }
#xmas span.r { color: rgb(240, 60, 0); }
#xmas span.g { color: rgb(20, 240, 0); }
#xmas a { background-color: rgb(220, 60, 40); color: rgb(80, 240, 0); font-weight: bold; }


#nyd_thx {
    display: none;
    background-color: rgb(20, 60, 180);
    color: rgb(240, 220, 20);
    box-shadow: 0 0 10px 6px rgb(240, 220, 20);
}
#nyd_thx a { background-color: rgb(240, 220, 20); color: rgb(20, 60, 180); font-weight: bold; }